import '../key_book.dart';

class CommonModule implements IPropSearchable {
  const CommonModule({
    required this.submit,
    required this.cancel,
    required this.search,
    required this.open,
    required this.email,
    required this.mobilePhoneNumber,
    required this.createTime,
    required this.refresh,
    required this.filtrate,
    required this.status,
    required this.waiting,
    required this.loading,
    required this.finish,
    required this.forward,
  });

  final String submit;
  final String cancel;
  final String search;
  final String open;
  final String email;
  final String mobilePhoneNumber;
  final String createTime;
  final String refresh;
  final String filtrate;
  final String status;
  final String waiting;
  final String loading;
  final String finish;
  final String forward;

  @override
  getProp(String propName) {
    if (propName == 'loading') {
      return this.loading;
    }
    throw ArgumentError('propery not found.');
  }

  @override
  Map<String, dynamic> toJson() {
    return {};
  }
}
